Email texts template/configuration.
Description

Currently the email's subject and texts generation is hardcoded :
http://www.redmine.org/boards/1/topics/13811?r=13844#message-13844

Add config file and/or admin interface to setup subject and email format.

Among other things, this feature would help having a simple and flexible way to make sure any email (web)client can group emails
related to the same issue for example, based on the emails subject. (for example gmail don't group current email notifications
because the generated email subject change for each notification...).

Related issues:
Related to Redmine - Feature #2026: Improve E-Mail notification templates New 2008-10-12

History

#1 - 2010-08-26 21:54 - Eric Davis
- Category set to Email notifications
It would be difficult to allow these to be customized. Since they deal with data from users, they would each need to be sanitized.
My mail client threads emails from Redmine correctly based on the internal email headers that Redmine generates.
#2 - 2010-08-26 22:11 - Joél Lamotte
Eric Davis wrote:
It would be difficult to allow these to be customized. Since they deal with data from users, they would each need to be sanitized.
Is it a problem to sanitize this?
A user-defined template/config file directly on the server would be a solution making sure that the templates have been setup by some kind of web
admin?

My mail client threads emails from Redmine correctly based on the internal email headers that Redmine generates.

Don't seem to be the case for gmail. =/

#3 - 2010-09-16 12:38 - Terence Mill

This is realated to Issue #2026

#4 - 2011-02-09 09:46 - Yuki Sonoda

| am trying to write a patch which solve this issue. It is not hard to add Uls for templates which Redmine uses. However there are two problems.

e mail body needs a powerful template language to write. But powerful language like ERb allows administrator to write a dangerous template, e.g.,
breakage of RFC or some security issues. Also powerful languages are hard to learn.

¢ Mail subject is easier. It needs only a simple expression language. Simple language like "[%<project-name> - <tracker-name> #<issue-id>]
(Yo<issue-status>) %<issue-title>" will help administrator to configure. Here is a problem. Should | use ERB for mail subjects or not? If | use
ERB, it causes the same problem as mail bodies. If | use another simpler language, which language should | choose? Developing a new
expression language like that?

| think Redmine users have a right to shoot their own feet. So | think ERB solves the problems. What do you think?
P.S.

Here is an simple expression language | developed. It can handle only:

e String interpolation
e conditional expression which depends on if the passed variable is empty or not.

[$<project-name> - %<tracker-name> #%$<issue-id>] (%<issue-status>) %$<issue-title>
[$<project-name> - $%$<tracker-name> #%<issue-id>] %<issue-status ? " (%<issue-status>) "

it is easy to implement, easy to learn and we can solve a half of #6221 with it. But users must learn another language, anyway.

#5 - 2011-02-09 10:37 - Joél Lamotte

I think Redmine users have a right to shoot their own feet. So | think ERB solves the problems. What do you think?

| agree.

#6 - 2014-06-25 09:48 - Sergey Startsev

This would be a great feature. +1
Our customers want notification letters to be more inmormative and readable.

#7 - 2015-02-04 17:40 - Oscar Casajuana

+1

#8 - 2015-03-04 07:02 - Toshi MARUYAMA

- Description updated
#9 - 2019-03-18 13:17 - J. Pablo Zebraitis

+1
good solution: Yuki Sonoda.
